Name:          acpid
Version:       2.0.31
Release:       1mamba
Summary:       The ACPI event daemon
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/acpid2
Source0:       http://downloads.sourceforge.net/project/acpid2/acpid-%{version}.tar.xz
Source1:       acpid-initscript
Source2:       acpi-sysconfig
Source3:       acpid.service
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
%systemd_requires
Requires(pre): chkconfig
Requires(pre): sed

%description
ACPID is a completely flexible, totally extensible daemon for delivering ACPI events.
It listens on a file (/proc/acpi/event) and when an event occurs, executes programs to handle the event.
The programs it executes are configured through a set of configuration files, which can be dropped into place by packages or by the admin.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

#install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/acpi
install -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/acpid.service

install -d -m 755 %{buildroot}/etc/acpi/events
#install -m 644 samples/sample.conf %{buildroot}/etc/acpi/events
#
install -d -m 755 %{buildroot}%{_sysconfdir}/acpi/actions

install -d %{buildroot}/var/log
touch %{buildroot}/var/log/acpid
chmod 640 %{buildroot}/var/log/acpid

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post acpid
systemctl -q daemon-reload
if [ $1 -eq 1 -o -e /etc/rc5.d/S44acpid ]; then
   systemctl -q enable acpid
   systemctl -q start acpid
fi
#[ -e %{_sysconfdir}/sysconfig/acpi ] && sed -i "/CPU_FREQ=.*/d" %{_sysconfdir}/sysconfig/acpi
:

%preun
%systemd_preun acpid
:

%postun
%systemd_postun acpid
:

%posttrans
# clean broken old sysv links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;
:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
#%attr(0644,root,root) %{_sysconfdir}/acpi/events/sample.conf
#%attr(0755,root,root) %{_initrddir}/acpid
#%config(noreplace) %{_sysconfdir}/sysconfig/acpi
%{_bindir}/acpi_listen
%{_sbindir}/acpid
%{_sbindir}/kacpimon
%{_unitdir}/acpid.service
%{_localstatedir}/log/acpid
%{_mandir}/man8/acpi_listen.8*
%{_mandir}/man8/acpid.8*
%{_mandir}/man8/kacpimon.8*
%dir %{_datadir}/doc/acpid
%{_datadir}/doc/acpid/*

%changelog
* Sat Nov 17 2018 Automatic Build System <autodist@mambasoft.it> 2.0.31-1mamba
- automatic version update by autodist

* Sun Sep 02 2018 Automatic Build System <autodist@mambasoft.it> 2.0.30-1mamba
- automatic version update by autodist

* Wed Apr 18 2018 Automatic Build System <autodist@mambasoft.it> 2.0.29-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 2.0.28-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 2.0.27-1mamba
- automatic version update by autodist

* Tue Jan 19 2016 Automatic Build System <autodist@mambasoft.it> 2.0.26-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 2.0.25-1mamba
- automatic version update by autodist

* Thu Feb 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.23-2mamba
- systemd switch

* Sun Aug 24 2014 Automatic Build System <autodist@mambasoft.it> 2.0.23-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 2.0.22-1mamba
- automatic version update by autodist

* Fri Jan 17 2014 Automatic Build System <autodist@mambasoft.it> 2.0.21-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 2.0.20-1mamba
- automatic version update by autodist

* Thu May 30 2013 Automatic Build System <autodist@mambasoft.it> 2.0.19-1mamba
- automatic version update by autodist

* Sun Feb 24 2013 Automatic Build System <autodist@mambasoft.it> 2.0.18-1mamba
- update to 2.0.18

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 2.0.17-1mamba
- update to 2.0.17

* Wed Jul 15 2009 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic update by autodist

* Mon Jun 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-2mamba
- launch acpid if /proc/acpi/event exists (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=462467

* Mon Mar 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-1mamba
- update to 1.0.8

* Mon Jan 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-4mamba
- initscript: load module set in CPU_FREQ in /etc/sysconfig/acpi

* Tue Apr 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-3mamba
- initscript: make probing errors silent; fix cpufreq variable

* Wed Jan 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-2mamba
- add support for acpi_cpufreq module loading

* Sun Jul 08 2007 Tiziana Ferro <tiziana.ferro@email.it> 1.0.6-1mamba
- update to 1.0.6

* Fri Dec 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-7qilnx
- initscript: don't unload modules on stop
- initscript: start stop script with priority 01 so daemon is stopped sooner

* Wed Oct 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-6qilnx
- add prereq for chkconfig

* Tue Feb 28 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.4-5qilnx
- always exit successfully from the specfile scripts

* Mon Feb 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-4qilnx
- don't restart service on update

* Tue Feb 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-3qilnx
- initscript: load acpi video module

* Mon Nov 29 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-2qilnx
- don't start service on install

* Thu Nov 11 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- new version build
- added check for /proc/acpi on system in initscripts

* Thu Jul 10 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.0.2-1qilnx
- first build for acpid
